#ifndef __PLAYER_H__
#define __PLAYER_H__

#include <ostream>
using namespace std;

class player {
    public:
        int id;
        bool head;
        bool body;
        bool hat; 
        bool eyes;
        bool mouth; 
        int legs;

        player(int);
        friend ostream & operator<<(ostream &, const player &);

        void turn();
        bool won();
};

#endif
